Bug 469759 - docs for slapi_vattr_value_compare() describe "result" incorrectly
docs for slapi_vattr_value_compare() describe "result" incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-plugin-programming-guide (Show other bugs)
8.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deon Ballard
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 16:53 EST by Nalin Dahyabhai
Modified: 2009-08-19 23:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 12:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2008-11-03 16:53:06 EST
Description of problem:
http://www.redhat.com/docs/manuals/dir-server/plugin/7.1/function.htm#1113969
documents slapi_vattr_value_compare() as storing the value 0 if the value being compared is equal, and 1 if it isn't, but the directory server appears to store 1 if the values are equal, and 0 if they aren't.
Comment 1 Deon Ballard 2008-12-02 12:54:14 EST
I updated the 7.1 plugin guide so that the success value is 1 and for fail is 0. This is live on rh.com: http://www.redhat.com/docs/manuals/dir-server/plugin/7.1/function.htm#1113969

I also updated the 8.x draft docs.

Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.